jQuery( document ).ready(function() {
    var favoritemax =  $(".addtofavorite").data('max');
    function addFavorite() {
        $(".favoritedmark").removeClass('fade');
        $(".removefavorite").removeClass('hidden');
        $(".addtofavorite").addClass('hidden');
    }
    function removeFavorite() {
        $(".favoritedmark").addClass('fade');
        $(".removefavorite").addClass('hidden');
        $(".addtofavorite").removeClass('hidden');
    }
    $(".addtofavorite").click(function(){
        var favorite_pages_start = JSON.parse(localStorage.getItem('favorite_pages'));
        if(favorite_pages_start != null && favorite_pages_start.length >= favoritemax) {
            var message = $(".addtofavorite").data('nomoremessage');
            alert(message);
            return;
        } else {
            title = document.title;

            var favorite_pages = [{
                url: CCM_CID,
                title: title,
                datetime: $.now()
            }];
            if (favorite_pages_start) {
                for(i=0;i<favoritemax;i++) {
                    if (favorite_pages_start[i] && favorite_pages[0].url !== favorite_pages_start[i].url) {
                        favorite_pages.push(favorite_pages_start[i]);
                    }
                }
            }
            localStorage.setItem('favorite_pages',JSON.stringify(favorite_pages));
            addFavorite();
        }
    });
    $(".removefavorite").click(function(){
        var favorite_pages_start = JSON.parse(localStorage.getItem('favorite_pages'));
        var favorite_pages = [];
        if (favorite_pages_start) {
            for(i=0;i<favoritemax;i++) {
                if (favorite_pages_start[i] && CCM_CID !== favorite_pages_start[i].url) {
                    favorite_pages.push(favorite_pages_start[i]);
                }
            }
        }
        localStorage.setItem('favorite_pages',JSON.stringify(favorite_pages));
        removeFavorite();
    });


        var favorite_pages = JSON.parse(localStorage.getItem('favorite_pages'));
        var selected = false;
        if (favorite_pages) {
            for(i=0;i<favoritemax;i++) {
                if (!selected && favorite_pages[i] && !isNaN(favorite_pages[i]['url'])) {
                    if (CCM_CID == favorite_pages[i]['url']){
                        selected = true;
                    }
                }
            }
        }
        if(selected) {
            addFavorite();
        }
});