jQuery( document ).ready(function() {

    function displayFavorites() {
        var favorite_pages = JSON.parse(localStorage.getItem('favorite_pages'));
        var title = 'title';
        var listclass = 'viewhistory';
        listdata = $("<ul></ul>",{
            class: listclass
        });
        $(".favoritelist").text('');
        if (favorite_pages !== null) {
            $(".favoritelist").append(listdata);
            var length = favorite_pages.length;
            for(i=0;i<length;i++) {
                if (favorite_pages[i] && !isNaN(favorite_pages[i]['url'])) {
                    textdata = $("<a></a>",{
                        href: CCM_APPLICATION_URL + CCM_REL + CCM_DISPATCHER_FILENAME + '?cID=' + parseInt(favorite_pages[i]['url']),
                        text: favorite_pages[i][title]
                    });
                    textlist = $("<li></li>").html(textdata);
                    $(".favoritelist").children('ul').append(textlist);
                }
            }
        } else {
            var nofavmessage = $('.favoritelist').data('nofavmessage');
            $(".favoritelist").text(nofavmessage);
        }
    }
    $(".addtofavorite").click(function(){
        displayFavorites();
    });
    $(".removefavorite").click(function(){
        displayFavorites();
    });

    displayFavorites();

});