<?php
namespace Concrete\Package\OunziwFavoritePages;

use Concrete\Core\Backup\ContentImporter;
use SinglePage;
use Concrete\Core\Package\Package;


defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {

    protected $pkgHandle = 'ounziw_favorite_pages';
    protected $appVersionRequired = '8.3.2';
    protected $pkgVersion = '1.0';

    public function getPackageDescription() {
        return t("Favorite Pages");
    }

    public function getPackageName() {
        return t("Favorite Pages");
    }

    public function install() {
        $pkg = parent::install();
        $ci = new ContentImporter();
        $ci->importContentFile($pkg->getPackagePath() . '/config/install.xml');
    }

}